<div class="example-boundary">
  <div class="flex-100">
    <svm-viewer
      *ngIf="(slide$|async)"
      [mapId]="id"
      [slide]="(slide$|async)"
      [updateViewer]="(updateViewer$|async)"
      [zoomView]="(zoomView$|async)"
      (moveEnd)="viewChanged($event)"
      (moveEndZoomView)="zoomViewChanged($event)"
      (doubleClick)="onViewerToolbarChange()">
      <div class="tools-container click-trough">
        <div class="svm-toolbar-container">
          <div class="svm-toolbar">
            <svm-toolbar
              class="clickable"
              *ngIf="(showAnnotationBar$ | async)"
              [renderHideNavigationButton]="(renderHideNavigationButton$|async)"
              [activeTool]="(currentUiTool$|async)?.left"
              [allowedTools]="(allowedInteractionTypes$|async)"
              [isExaminationClosed]="(examinationState$|async)"
              [pixelMapInput]="(pixelMapInput$|async)"
              [annotationStrokeWidth]="(annotationStrokeWidth$|async)"
              (selectedTool)="toolSelectionChanged($event)"
              (toggleAppNavigation)="onViewerToolbarChange()"
              (channelOpacityChanged)="onChannelOpacityChanged($event)"
              (strokeWidthChanged)="onAnnotationStrokeWidthChanged($event)">
            </svm-toolbar>
            <!-- If you want to create a ui for multi channel with user color choice, use  "@angular-material-components/color-picker" -->
          </div>
        </div>
        <div class="svm-overview-container">
          <div class="svm-overview">
            <svm-dnd-container
              class="clickable"
              [resetSize]="(slide$|async)?.slideId">
              <svm-ext-overview
                [slide]="(slide$|async)"
                [zoomView]="(zoomView$|async)"></svm-ext-overview>
            </svm-dnd-container>
          </div>
        </div>
      </div>
      <div class="svm-zoom-scale-container click-trough">
        <svm-ext-zoom-slider
          class="svm-zoom-slider clickable"
          [slide]="(slide$|async)"
          [zoomView]="(zoomView$|async)"></svm-ext-zoom-slider>
        <svm-scale-line class="svm-scale-line"></svm-scale-line>
      </div>
      <!-- <svm-measurement-tool [isActive]="(isMeasuring$|async)"></svm-measurement-tool> -->
      <svm-annotation-create
        (annotationCreated)="annotationCreate($event)"
        (errorMessage)="onErrorMessage($event)"
        [slideId]="(slide$|async)?.slideId"
        [autoSetAnnotationTitle]="(autoSetAnnotationTitle$ | async)"
        [annotationCharacterConfig]="(characterConfig$ | async).annotation"
        [drawMode]="(selectedDrawTool$|async)"
        [featureStyleMapping]="(featureStyleMapping$|async)">
      </svm-annotation-create>
      <svm-annotation-layer
        (hoveredFeatures)="featureHover($event)"
        (clickedFeature)="annotationClick.emit($event)"
        (errorMessage)="onErrorMessage($event)"
        [addAnnotations]="(annotations$|async)"
        [removeAnnotations]="(discardAnnotations$|async)"
        [clearAnnotations]="(clearAnnotations$|async)"
        [hideAnnotations]="(hiddenAnnotationIds$|async)"
        [highlightedFeatures]="(highlightedAnnotations$|async)"
        [focusFeature]="(focusedAnnotationId$|async)"
        [highlightConfig]="(annotationHighlightConfig$|async)"
        [featureStyleMapping]="(featureStyleMapping$|async)">
      </svm-annotation-layer>
      <svm-annotation-cluster-layer
        [clusterDistance]="(clusterDistance$ | async)"
        [annotationCentroids]="(annotationCentroids$ | async)">
      </svm-annotation-cluster-layer>
      <div class="tools-container click-trough">
        <div class="svm-pixel-map">
          <svm-pixel-map-layer
            [mapId]="id"
            [slide]="(slide$|async)"
            [pixelMapInput]="(pixelMapInput$|async)"
            [pixelMapUpdate]="(pixelMapUpdate$|async)"
            [channelOpacity]="(channelOpacity$|async)"
            [zoomToLevel]="(zoomToPixelMapLevel$|async)">
          </svm-pixel-map-layer>
        </div>
      </div>
      <!-- <svm-overview></svm-overview> -->
      <!-- <svm-ext-overview></svm-ext-overview> -->
    </svm-viewer>
  </div>
  <!-- for Testing a second parallel opened Slide -->
  <!-- <div>
    <svm-viewer
      [mapId]="id2"
      [slideId]="'fakeSlideId03'">
    </svm-viewer>
  </div> -->
</div>
